POST
/fiat-payments/payment-link/clientGenerate Payment Link
Outcome - Creates a hosted payment page where one of your fiat clients can deposit money (card or bank transfer). The client must have a name.
Body Parameters
clientIdstringrequiredThe external ID of the client making the deposit
amountnumberrequiredmin(1)max(100,000,000)Amount to deposit, in the currency below.
currencyCodestringrequiredCurrency code. Currently only SAR.
returnUrlstringhttps URLHTTPS URL to send the client back to after paying.
IBANstringClient IBAN (Saudi Arabia format)
paymentExpiredInMinutesnumberdefault: 60min(1)max(1440)Payment link expiration in minutes (default 60, max 1440)
Responses
Response attributes
messagestringSuccess message
dataobjectPayment link details
Show child attributes (1)
paymentLinkstringURL to redirect the user for payment
statusnumberHTTP status code
Was this page helpful?